Package org.opensaml.security.x509.tls.impl

# Class BasicClientTLSValidationParametersResolver

java.lang.Object
org.opensaml.security.x509.tls.impl.BasicClientTLSValidationParametersResolver

All Implemented Interfaces:
  `Resolver<ClientTLSValidationParameters,CriteriaSet>`, `ClientTLSValidationParametersResolver`

public class BasicClientTLSValidationParametersResolver extends Object implements ClientTLSValidationParametersResolver
Basic implementation of `ClientTLSValidationParametersResolver`.

The following `Criterion` inputs are supported:

- `ClientTLSValidationConfigurationCriterion` - required

## Constructor Summary

Constructors
Constructor
Description
`BasicClientTLSValidationParametersResolver()`

## Method Summary

Modifier and Type
Method
Description
`Iterable<ClientTLSValidationParameters>`
`resolve(CriteriaSet criteria)`
`protected CertificateNameOptions`
`resolveNameOptions(CriteriaSet criteria)`
Resolve and return the effective `CertificateNameOptions`.
`ClientTLSValidationParameters`
`resolveSingle(CriteriaSet criteria)`
`protected TrustEngine<? super X509Credential>`
`resolveTrustEngine(CriteriaSet criteria)`
Resolve and return the effective `TrustEngine``<? super` `X509Credential``>`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BasicClientTLSValidationParametersResolver

public BasicClientTLSValidationParametersResolver()

## Method Details

### resolve

@Nonnull public Iterable<ClientTLSValidationParameters> resolve(@Nullable CriteriaSet criteria) throws ResolverException

Specified by:
  `resolve` in interface `Resolver<ClientTLSValidationParameters,CriteriaSet>`
Throws:
  `ResolverException`

### resolveSingle

@Nullable public ClientTLSValidationParameters resolveSingle(@Nullable CriteriaSet criteria) throws ResolverException

Specified by:
  `resolveSingle` in interface `Resolver<ClientTLSValidationParameters,CriteriaSet>`
Throws:
  `ResolverException`

### resolveTrustEngine

@Nullable protected TrustEngine<? super X509Credential> resolveTrustEngine(@Nonnull CriteriaSet criteria)
Resolve and return the effective `TrustEngine``<? super` `X509Credential``>`.

Parameters:
  `criteria` - the input criteria being evaluated
Returns:
  the effective resolver, or null

### resolveNameOptions

@Nullable protected CertificateNameOptions resolveNameOptions(@Nonnull CriteriaSet criteria)
Resolve and return the effective `CertificateNameOptions`.

Parameters:
  `criteria` - the input criteria being evaluated
Returns:
  the effective name options, or null